%%% -------------------------------------------------------
%%% @doc
%%% 服务器KEY_VALUE服务相关定义
%%% @end
%%% -------------------------------------------------------
-ifndef(SERVER_KV_HRL).
-define(SERVER_KV_HRL, ok).

%% 服务器全局kv信息
-record(server_kv, {
        key   = 0,                     %% KEY
        value = undefined,             %% VALUE
        time  = 0                      %% 更新时间戳
    }).

%% 全局共用的ets
-define(SERVER_KV, ets_server_kv).

%%%---------------------------------------------------------------------
%%% KEY值定义
%%%---------------------------------------------------------------------
-define(SERVER_KV_WORLD_LV,                     1).     %% 世界等级##
-define(SERVER_KV_TOP_PK_SEASON_ID,             2).     %% 巅峰竞技-赛季id
-define(SERVER_KV_TOP_PK_WORLD_LV,              3).     %% 巅峰竞技-赛季开启时服务器等级
-define(SERVER_KV_TOP_PK_CLS_TYPE,              4).     %% 巅峰竞技-竞技环境类型
-define(SERVER_KV_TOP_PK_SEASON_SETTLE_NUM,     5).     %% 巅峰竞技-赛季结算次数
-define(SERVER_KV_IS_GM_WORLD_LV,               6).     %% GM是否设置了世界等级
-define(SERVER_KV_GUILD_WAR_TOP_GUILD,          7).     %% 本服公会战上期明星社团##合服清空
-define(SERVER_KV_GUILD_RACE_RANK_START_REWARD, 8).     %% 本服社团竞榜是否开始结算##合服保留主服数据
-define(SERVER_KV_LEVEL_AWARD_LOG,              9).     %% 全服50级等级奖励领取情况##合服清空
-define(SERVER_KV_CAPSULE_EGG,                 10).     %% 龙神扭蛋-7天为周期更新抽奖次数##合服保留主服数据
-define(SERVER_KV_HOSTING_PROCESS,             11).     %% 离线托管拉玩家上线的进程-不存库
-define(SERVER_KV_GUILD_RACE_RANK_SEND_REWARD, 12).     %% 本服社团竞榜是否已经统一发放邮件奖励##合服保留主服数据
-define(SERVER_KV_LOCAL_BC_ROUND,              13).     %% 本服靓丽大赛轮次##合服保留主服数据
-define(SERVER_KV_CREATE_GUILD_NUM,            14).     %% 本服历史上创建社团数量##合服保留主服数据
-endif.
